<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->

<SearchPlugin xmlns="http://www.mozilla.org/2006/browser/search/">
    <ShortName>百度</ShortName>
    <InputEncoding>UTF-8</InputEncoding>
    <Image width="16" height="16">data:image/png;base64,[encoded data, 4144 characters]</Image>
    <Url type="application/x-suggestions+json" method="GET" template="https://m.baidu.com/su">
        <Param name="wd" value="{searchTerms}"/>
        <Param name="action" value="opensearch"/>
        <Param name="ie" value="UTF-8"/>
        <Param name="from" value="1000969a"/>
    </Url>
    <Url type="text/html" method="GET" template="https://m.baidu.com/s">
        <Param name="from" value="1000969a"/>
        <Param name="word" value="{searchTerms}"/>
    </Url>
    <!-- As of Bug 861164, we can do a client-side detection to determine whether a user is using
         tablet or a phone(relative to this case).
         Note: The order of <URL> DOES not affect the way we pick between them.
    -->
    <Url type="application/x-moz-tabletsearch" method="GET" template="https://m.baidu.com/s">
        <Param name="from" value="1000969a"/>
        <Param name="word" value="{searchTerms}"/>
    </Url>
    <SearchForm>https://m.baidu.com/</SearchForm>
</SearchPlugin>
